FSLabs – Airbus Updates To Come

0

The A320-X and A319-X of Flight Sim Labs are not compatible with Prepar3D v4.4, so you should not update the flight simulator until the developers update their addon if you want to fly with them now.

Lefteris Kalamaras details the next updates roadmap and the extensive changelog ofthe first update to come out A320-X update 32bit (FSX / P3Dv3).

Leave a Reply

  Subscribe  
Notify of